
set lines 150
set pages 9999
set echo on
drop table t;

spool insert_append_part.lst

create table t (x int)
partition by range (x) (
  partition p0 values less than (1),
  partition p1 values less than (2)
);

insert /*+ append */ into t /* partition (p0) */ (x) select 0  
  from dual connect by level <= 2; 
    
col name form a30
select sid, type, (select object_type||' '||object_name||' '||subobject_name 
                from dba_objects 
               where object_id = id1) name,
       lmode, request 
  from v$lock where sid in (select sid from v$session where username='DELLERA') 
   and type='TM'
 order by sid, name;
 
-- in another session: 
--insert /*+ append */ into t /* partition (p1) */ (x) select 1  
--  from dual connect by level <= 2; 

select '&pause.' from dual;

col name form a30
select sid, type, (select object_type||' '||object_name||' '||subobject_name 
                from dba_objects 
               where object_id = id1) name,
       lmode, request 
  from v$lock where sid in (select sid from v$session where username='DELLERA') 
   and type='TM'
 order by sid, name;
 
spool off